# ACE_RMCast::To Struct Reference

`#include <Protocol.h>`

Inheritance diagram for ACE_RMCast::To:

[legend]
Collaboration diagram for ACE_RMCast::To:

[legend]
List of all members.

## Public Member Functions

| To (Header const &h, istream &is)
| To (Address const &addr)
To_ptr | clone ()
Address const & | address () const
virtual void | serialize_body (ostream &os) const
virtual void | serialize_body (sstream &ss) const

## Static Public Attributes

u16 const | id = 0x0002

## Protected Member Functions

virtual Profile_ptr | clone_ ()
| To (To const &to)

## Private Attributes

Address | address_

## Constructor & Destructor Documentation

ACE_RMCast::To::To | ( | Header const & | h,
|  | istream & | is
| ) | `[inline]`

ACE_RMCast::To::To | ( | Address const & | addr | ) | `[inline]`

ACE_RMCast::To::To | ( | To const & | to | ) | `[inline, protected]`

## Member Function Documentation

Address const& ACE_RMCast::To::address | ( |  | ) | const`[inline]`

To_ptr ACE_RMCast::To::clone | ( |  | ) | `[inline]`

| Reimplemented from ACE_RMCast::Profile.

virtual Profile_ptr ACE_RMCast::To::clone_ | ( |  | ) | `[inline, protected, virtual]`

| Implements ACE_RMCast::Profile.

virtual void ACE_RMCast::To::serialize_body | ( | sstream & | ss | ) | const`[inline, virtual]`

| Implements ACE_RMCast::Profile.

virtual void ACE_RMCast::To::serialize_body | ( | ostream & | os | ) | const`[inline, virtual]`

| Implements ACE_RMCast::Profile.

## Member Data Documentation

Address ACE_RMCast::To::address_`[private]`

u16 const ACE_RMCast::To::id = 0x0002`[static]`

The documentation for this struct was generated from the following files:

- Protocol.h
- Protocol.cpp